% Sample code from the book: "Colored Petri Nets for 
% Modeling of Discrete Systems: A practical approach with GPenSIM"
% 
% Example-23: Project Completion Time
% Problem taken from James D: Stein, "How Math Explains the World", page.3
%
% Reggie.Davidrajuh@uis.no (c) 12 April 2023  
% File: Main Simulation File (msf.m)

clear all; clc;

global global_info
global_info.STOP_AT = 30;

pns = pnstruct('project_completion_pdf');

dp.m0 = {'pS1',1, 'pS2',1, 'pS3',1, 'pS6',1};
dp.ft = {'T1',4, 'T2',6, 'T3',5, 'T4',10, 'T5',2, 'T6',7}; 
dp.ip = {'T1',6, 'T2',5, 'T3',4, 'T4',3, 'T5',2, 'T6',1}; 
dp.re = {'Al',1,inf, 'Bob',1,inf}; 
pni = initialdynamics(pns, dp);

sim = gpensim(pni);
prnschedule(sim);
